
class LDEvent {
  LDEventType type;
  LDEventCategory category;
  double confidence;
  String description;
  int when;
  String fenceId;
  dynamic triggerLoc;

  LDEvent({this.type, this.category, this.confidence, this.description, this.when, this.fenceId, this.triggerLoc});


}

enum LDEventCategory {

  ACTIVITY,
  FENCE

}

enum LDEventType {
  IN_VEHICLE,
  ON_BICYCLE,
  ON_FOOT,
  STILL,
  UNKNOWN,
  TILTING,
  WALKING,
  RUNNING,
  ENTER,
  EXIT,
  DWELL
}